GroovyRootDoc (Groovy 3.0.9)

Package org.codehaus.groovy.groovydoc

## Interface GroovyRootDoc

- All Superinterfaces:
    `Comparable`, `GroovyDoc`, `GroovyDocErrorReporter`
  All Known Implementing Classes:
    `SimpleGroovyRootDoc`

      public interface GroovyRootDoc
      extends GroovyDoc, GroovyDocErrorReporter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GroovyClassDoc[]` | `classes()` |
    `GroovyClassDoc` | `classNamed​(GroovyClassDoc groovyClassDoc, String name)` |
    `Map<String,​GroovyClassDoc>` | `getResolvedClasses()` |
    `Map<String,​GroovyClassDoc>` | `getVisibleClasses​(List importedClassesAndPackages)` |
    `String[][]` | `options()` |
    `GroovyPackageDoc` | `packageNamed​(String arg0)` |
    `GroovyClassDoc[]` | `specifiedClasses()` |
    `GroovyPackageDoc[]` | `specifiedPackages()` |

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

      `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDocErrorReporter

      `printError, printNotice, printWarning`

- - ### Method Detail

    - #### classNamed

          GroovyClassDoc classNamed​(GroovyClassDoc groovyClassDoc,
                                    String name)

    - #### classes

          GroovyClassDoc[] classes()

    - #### options

          String[][] options()

    - #### packageNamed

          GroovyPackageDoc packageNamed​(String arg0)

    - #### specifiedClasses

          GroovyClassDoc[] specifiedClasses()

    - #### specifiedPackages

          GroovyPackageDoc[] specifiedPackages()

    - #### getVisibleClasses

          Map<String,​GroovyClassDoc> getVisibleClasses​(List importedClassesAndPackages)

    - #### getResolvedClasses

          Map<String,​GroovyClassDoc> getResolvedClasses()